<%--
/********************** COPYRIGHT STATEMENT ***************************
 ***********************************************************************
 *
 * Licensed Materials - Property of IBM
 * 5724-C40
 * (C) Copyright IBM Corp. 2002,2003.  All Rights Reserved.
 *		
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with
 * IBM Corp.
 *
 ********************* END OF COPYRIGHT STATEMENT **********************
 * CMVC Location: src/com/tivoli/managed/gui/report/web/periods.jsp, slmgui.report, slm1.2.1.fp1
 * Version:       1.23.1.3
 * Last Modified: 6/18/03
 ***********************************************************************
 *
 * Class: Copyright
 *
 ***********************************************************************
--%>

<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.tivoli.managed.gui.report.servlets.TSLAJSPDisplayUtils" %>
<%@ page import="com.tivoli.managed.gui.report.servlets.dyk_rp_report_jsp_text" %>
<%@ page import="java.util.ResourceBundle" %>
<%
String period 			= request.getParameter("fsd");
String endDate			= request.getParameter("fed");
String startDateDtls	= request.getParameter("fsdd");

if((period==null || period.equals("")) && (startDateDtls!=null && !startDateDtls.equals("") && Character.isDigit(startDateDtls.charAt(0)) && endDate!=null && !endDate.equals("") && Character.isDigit(endDate.charAt(0))))
	period="none";
else if((period==null || period.equals("")) && (startDateDtls==null || startDateDtls.equals("") || Character.isLetter(startDateDtls.charAt(0)) ))
	period="allDates";
//if both specified, get the start date and end date option
else if(period!=null && !period.equals("") && startDateDtls!=null && !startDateDtls.equals("") && Character.isDigit(startDateDtls.charAt(0)) && endDate!=null && !endDate.equals("") && Character.isDigit(endDate.charAt(0)))
	period="none";

String currentPage = request.getParameter("page");

TSLAJSPDisplayUtils utils = new TSLAJSPDisplayUtils();
String searchFieldName = request.getParameter("searchFieldName");

//resources
ResourceBundle rsc = ResourceBundle.getBundle("com.tivoli.managed.gui.report.servlets.dyk_rp_report_jsp_text", request.getLocale());

%>
<!-- *************************** start period drop down list ********************* -->

<%-- the name of selection has to be "fsd" because this will be called from a servlet.--%>
<select name=fsd id="TimePeriod" onChange="if(this.selectedIndex > -1){form.dates[0].checked=true; form.fsdd.value=''; form.fed.value='';}">

	<%
	if(period.equals("none"))
		out.println("<option selected value=\" \">"+utils.getResourceString(rsc,"None")); //the value must be " " w/ space
	
	if(period.equals("allDates"))
		out.println("<option selected value=\" \">"+utils.getResourceString(rsc,"AllDates")); //the value must be " " w/ space
	else
		out.println("<option value=\" \">"+utils.getResourceString(rsc,"AllDates"));

/*
	if(period.equals("yesterday"))
		out.println("<option selected value=\"yesterday\">"+utils.getResourceString(rsc,"Yesterday"));
	else
		out.println("<option value=\"yesterday\">"+utils.getResourceString(rsc,"Yesterday")); 
*/

	if(period.equals("week"))
		out.println("<option selected value=\"week\">"+utils.getResourceString(rsc,"LastWeek"));
	else
		out.println("<option value=\"week\">"+utils.getResourceString(rsc,"LastWeek"));

	if(period.equals("month"))
		out.println("<option selected value=\"month\">"+utils.getResourceString(rsc,"LastMonth"));
	else
		out.println("<option value=\"month\">"+utils.getResourceString(rsc,"LastMonth"));

	if(period.equals("quarter"))
		out.println("<option selected value=\"quarter\">"+utils.getResourceString(rsc,"LastQuarter"));
	else
		out.println("<option value=\"quarter\">"+utils.getResourceString(rsc,"LastQuarter"));

	if(period.equals("year"))
		out.println("<option selected value=\"year\">"+utils.getResourceString(rsc,"LastYear"));
	else
		out.println("<option value=\"year\">"+utils.getResourceString(rsc,"LastYear"));

	if(period.equals("wtd"))
		out.println("<option selected value=\"wtd\">"+utils.getResourceString(rsc,"Weektodate"));
	else
		out.println("<option value=\"wtd\">"+utils.getResourceString(rsc,"Weektodate"));

	if(period.equals("mtd"))
		out.println("<option selected value=\"mtd\">"+utils.getResourceString(rsc,"Monthtodate"));
	else
		out.println("<option value=\"mtd\">"+utils.getResourceString(rsc,"Monthtodate"));

	if(period.equals("qtd"))
		out.println("<option selected value=\"qtd\">"+utils.getResourceString(rsc,"Quartertodate"));
	else
		out.println("<option value=\"qtd\">"+utils.getResourceString(rsc,"Quartertodate"));

	if(period.equals("ytd"))
		out.println("<option selected value=\"ytd\">"+utils.getResourceString(rsc,"Yeartodate"));
	else
		out.println("<option value=\"ytd\">"+utils.getResourceString(rsc,"Yeartodate"));

/*
	if(period.equals("r24h"))
		out.println("<option selected value=\"r24h\">"+utils.getResourceString(rsc,"Rolling24hours"));
	else
		out.println("<option value=\"r24h\">"+utils.getResourceString(rsc,"Rolling24hours"));
*/

	if(period.equals("p7d"))
		out.println("<option selected value=\"p7d\">"+utils.getResourceString(rsc,"Previous7days"));
	else
		out.println("<option value=\"p7d\">"+utils.getResourceString(rsc,"Previous7days"));

	if(period.equals("r7d"))
		out.println("<option selected value=\"r7d\">"+utils.getResourceString(rsc,"Rolling7days"));
	else
		out.println("<option value=\"r7d\">"+utils.getResourceString(rsc,"Rolling7days"));

	if(period.equals("r4w"))
		out.println("<option selected value=\"r4w\">"+utils.getResourceString(rsc,"Rolling4weeks"));
	else
		out.println("<option value=\"r4w\">"+utils.getResourceString(rsc,"Rolling4weeks"));

	if(period.equals("r30d"))
		out.println("<option selected value=\"r30d\">"+utils.getResourceString(rsc,"Rolling30days"));
	else
		out.println("<option value=\"r30d\">"+utils.getResourceString(rsc,"Rolling30days"));

	if(period.equals("r365d"))
		out.println("<option selected value=\"r365d\">"+utils.getResourceString(rsc,"Rolling365days"));
	else
		out.println("<option value=\"r365d\">"+utils.getResourceString(rsc,"Rolling365days"));
	%>

</select>


