------------------------ COPYRIGHT STATEMENT ----------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-C40
-- (C) Copyright IBM Corp. 2003.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
------------------------END OF COPYRIGHT STATEMENT -----------------------

--------------------------------------------------------------------------
--  CMVC Location:  src/tedw_apps/dyk/etl/sql/DYK_m10_s020_Populate_SLM_Tot_Msmts.db2, etl.target, slm1.2.1.fp1
--  Version:        1.1
--  Last Modified:  7/18/03
--------------------------------------------------------------------------

-- Insert total msmt data for MGRPTYP_CD 'GROUP'
--#INSERT_INTO_TARGET
insert into DYK.MSMT_TOT
    SELECT
        DYK.STAGE_MSMT.MSMT_ID AS MSMT_ID,
        DYK.STAGE_MSMT.MSMTTYP_ID AS MSMTTYP_ID,
        DYK.STAGE_MSMT.COMP_ID AS COMP_ID,
        DYK.STAGE_MSMT.COMP_NM AS COMP_NM,
        DYK.STAGE_MSMT.COMPTYP_CD AS COMPTYP_CD,
        DYK.STAGE_MSMT.TMSUM_CD AS TMSUM_CD,
        DYK.STAGE_MSMT.MSMT_ST AS MSMT_ST,
        DYK.STAGE_MSMT.MSMT_TOT_VAL AS MSMT_TOT_VAL,
        DYK.STAGE_MSMT.MSMT_SMPL_CNT AS MSMT_SMPL_CNT,
        DYK.STAGE_MSMT.MSMT_ERR_CNT AS MSMT_ERR_CNT,
        CURRENT TIMESTAMP - CURRENT TIMEZONE AS TM,
        0 AS LATE
    FROM
        DYK.STAGE_MSMT
    WHERE
        DYK.STAGE_MSMT.MGRP_CD = 'TOT_E' AND
	DYK.STAGE_MSMT.MGRPTYP_CD = 'GROUP'
;

-- Insert total msmt data for MGRPTYP_CD 'TRANS'
--#INSERT_INTO_TARGET
insert into DYK.MSMT_AVL
    SELECT
        DYK.STAGE_MSMT.MSMT_ID AS MSMT_ID,
        DYK.STAGE_MSMT.MSMTTYP_ID AS MSMTTYP_ID,
        DYK.STAGE_MSMT.MSMTTYP_NM AS MSMTTYP_NM,
        DYK.STAGE_MSMT.COMP_ID AS COMP_ID,
        DYK.STAGE_MSMT.COMP_NM AS COMP_NM,
        DYK.STAGE_MSMT.COMPTYP_CD AS COMPTYP_CD,
        DYK.STAGE_MSMT.TMSUM_CD AS TMSUM_CD,
        DYK.STAGE_MSMT.MSMT_ST AS MSMT_ST,
        DYK.STAGE_MSMT.MSMT_TOT_VAL AS MSMT_TOT_VAL,
        DYK.STAGE_MSMT.MSMT_SMPL_CNT AS MSMT_SMPL_CNT,
        DYK.STAGE_MSMT.MSMT_ERR_CNT AS MSMT_ERR_CNT,
        CURRENT TIMESTAMP - CURRENT TIMEZONE AS TM,
        0 AS LATE
    FROM
        DYK.STAGE_MSMT
    WHERE
	DYK.STAGE_MSMT.MGRPTYP_CD = 'TRANS'
;

